#3014 closed defect (fixed)

interrupt vector indexing is assuming BSP_INTERRUPT_VECTOR_MIN = 0 for this code.

Reported by: phongvanpham Owned by: joel.sherrill@…
Priority: normal Milestone: 5.1
Component: bsps Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Someone implement bsp_interrupt_handler_index() forgot to update this delta in rtems\c\src\lib\libbsp\shared\src\irq-generic.c:bsp_interrupt_allocate_handler_index(). See attachment.

Attachments (3)

irq-generic.c (15.0 KB) - added by phongvanpham on May 9, 2017 at 9:37:53 PM.
The file enclosed is baseline from 05/08/17 (latest) checkout
irq-generic.c.orig (15.0 KB) - added by phongvanpham on May 9, 2017 at 9:38:50 PM.
This is the original file (before change) for diff'ing purposes to see code delta
0001-interrupt-vector-indexing-is-assuming-BSP_INTERRUPT_.patch (896 bytes) - added by phongvanpham on May 12, 2017 at 6:40:56 PM.
patch

Download all attachments as: .zip

Change History (7)

Changed on May 9, 2017 at 9:37:53 PM by phongvanpham

Attachment: irq-generic.c added

The file enclosed is baseline from 05/08/17 (latest) checkout

Changed on May 9, 2017 at 9:38:50 PM by phongvanpham

Attachment: irq-generic.c.orig added

This is the original file (before change) for diff'ing purposes to see code delta

comment:1 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:2 Changed on May 12, 2017 at 5:19:45 AM by Sebastian Huber

The change looks good, please use your real name and a valid e-mail address for the patch.

comment:3 Changed on May 14, 2017 at 4:11:01 AM by Phong Pham <phamp@…>

Resolution: fixed
Status: newclosed

In a9859d1/rtems:

interrupt vector indexing is assuming BSP_INTERRUPT_VECTOR_MIN = 0

Closes #3014.

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.